### Function

# AppStream ComponentScope from_string

#### Declaration [src]

    AsComponentScope
    as_component_scope_from_string (
      const gchar* scope_str
    )

#### Description [src]

Converts the text representation to an enumerated value.

#### Parameters

`scope_str`

  Type: `const gchar*`

  The string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AsComponentScope`

A `AsComponentScope` or `AS_COMPONENT_SCOPE_UNKNOWN` for unknown.